C-----------------------------------------------------------------------
C  URXOUT -- SET UREAD OUTPUT FLAG
C
      SUBROUTINE URXOUT
C
      INCLUDE 'USERIO'
C
C  AFTER DEFERRING TO NLXPER (EXPERT MODE) AND NLECHO (ECHO/DEBUG MODE)
C  SWITCHES, SET OUTPUT FLAG TRUE UNLESS
C    A)  THERE IS MORE INPUT IN THE TYPEAHEAD BUFFER, OR,
C    B)  THERE IS MORE INPUT IN THE PRESET LINE BUFFERS, OR,
C    C)  AN INPUT FILE IS OPEN
C
      IF(NLXPER) THEN
        NLXOUT=.FALSE.
      ELSE IF(NLECHO) THEN
        NLXOUT=.TRUE.
      ELSE
        NLXOUT=.TRUE.
        IF(NCHARC.GT.0) NLXOUT=.FALSE.
        IF(NPRBUF.GT.0) NLXOUT=.FALSE.
        IF(NLINDI) NLXOUT=.FALSE.
      ENDIF
C
      RETURN
      END
